LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
06873Bug reports[All Projects] Authenticationpublic2012-11-14 17:322012-11-24 23:17
Reportermsorriano 
Assigned Toc_schmitz 
PriorityurgentSeveritymajor 
StatusclosedResolutionfixed 
Product Version2.00+ 
Target VersionFixed in Version2.00+ 
Summary06873: Administration login using a link with one time password (Limesurvey v2)
DescriptionWhat is URL for administration loging on Limesurvey v2 please.

With 1.9 :
http://www.yourdomain.org/limesurvey/admin/admin.php?user=myusername&onepass=secretpassword [^]

With 2 :
http://www.yourdomain.org/limesurvey/index.php/admin/authentication/login?user=myusername&onepass=secretpassword [^] not work.

Regards,
msorriano

I will donate to the project if issue is resolved within 48 hrsNo
LimeSurvey build number OR git commit ID121115
Browser
Database & DB-Version164
Operating System (Server)Debian
Webserver software & versionDebian + apache + php + mysql
PHP Version5.3
Attached Files

- Relationships
related to 06925closedc_schmitz Administration login using a link with one time password (Limesurvey v2) -> one modification 

-  Notes
User avatar (22196)
c_schmitz (administrator)
2012-11-15 20:06

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=10300 [^]
User avatar (22197)
c_schmitz (administrator)
2012-11-15 20:07

See patch above and instructions here: http://docs.limesurvey.org/Manage+users#Use_one-time_passwords [^]
User avatar (22210)
c_schmitz (administrator)
2012-11-15 20:49

Fix committed to 2.1 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=10314 [^]
User avatar (22228)
msorriano (reporter)
2012-11-16 09:23

Thank you! Thank you very much!
User avatar (22241)
c_schmitz (administrator)
2012-11-16 10:40

New version 2.00+ Build 121116 released

- Related Changesets
LimeSurvey: master ab061e81
Timestamp: 2012-11-15 19:06:31
Author: c_schmitz
Committer: Carsten Schmitz
Details ] Diff ]
Fixed issue 06873: Administration login using one-time password not working
mod - application/controllers/admin/authentication.php Diff ] File ]
mod - application/core/UserIdentity.php Diff ] File ]
LimeSurvey: 2.1 3ec0a1fd
Timestamp: 2012-11-15 19:06:31
Author: c_schmitz
Committer: Carsten Schmitz
Details ] Diff ]
Fixed issue 06873: Administration login using one-time password not working
mod - application/controllers/admin/authentication.php Diff ] File ]
mod - application/core/UserIdentity.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-11-14 17:32 msorriano New Issue
2012-11-14 20:14 c_schmitz Assigned To => c_schmitz
2012-11-14 20:14 c_schmitz Status new => assigned
2012-11-15 20:06 c_schmitz Changeset attached => LimeSurvey master ab061e81
2012-11-15 20:06 c_schmitz Note Added: 22196
2012-11-15 20:06 c_schmitz Resolution open => fixed
2012-11-15 20:07 c_schmitz Note Added: 22197
2012-11-15 20:07 c_schmitz Status assigned => resolved
2012-11-15 20:07 c_schmitz Fixed in Version => 2.00+
2012-11-15 20:49 c_schmitz Changeset attached => LimeSurvey 2.1 3ec0a1fd
2012-11-15 20:49 c_schmitz Note Added: 22210
2012-11-16 09:23 msorriano Note Added: 22228
2012-11-16 10:40 c_schmitz Note Added: 22241
2012-11-16 10:40 c_schmitz Status resolved => closed
2012-11-24 23:17 c_schmitz Relationship added related to 06925


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker